Bug 33674 - KMS, kernel, Second Monitor becomes complete blur when loading fullscreen GL
Summary: KMS, kernel, Second Monitor becomes complete blur when loading fullscreen GL
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Radeon (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: highest critical
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-28 15:31 UTC by Öyvind Saether
Modified: 2011-02-27 12:28 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
How totally broken fullscreen OpenGL applications look (111.00 KB, image/jpeg)
2011-02-21 19:43 UTC, Öyvind Saether
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Öyvind Saether 2011-01-28 15:31:19 UTC
On affected system:

1. Load fullscreen OpenGL something which thinks fullscreen means both attached monitors. This includes kwin and warzone.

2. Kernels 2.6.37-git15 2.6.38-rc1-git2 2.6.38-rc2-git7 show expected on first monitor and complete blur on second monitor. Total messy blur. Everything works perfectly with stable 2.6.37-gentoo kernel. I do not know what happened with <=2.6.37-git15, but I do know 2.6.37-git15 kernels and later are defective.

It would be nice if someone could make two monitors work with OpenGL again (working kwin is nice).
Comment 1 Alex Deucher 2011-01-28 15:34:53 UTC
did you update anything other than the kernel (mesa, ddx, etc.)?  If it's just the kernel can you bisect?
Comment 2 Öyvind Saether 2011-01-29 05:28:56 UTC
I update git x11-libs/libdrm, x11-drivers/xf86-video-ati and media-libs/mesa frequently.

I do not know if new kernels work with older version of libdrm/video-ati/mesa, I had a recient version of those when I noticed, update to later and still no second screen so I tried an old kernel and it worken, then I tried all the newer ones mentioned.
Comment 3 Öyvind Saether 2011-02-21 19:43:16 UTC
Created attachment 43633 [details]
How totally broken fullscreen OpenGL applications look

kwin and other fullscreen opengl applications still show a total blurry mess on the second monitor as of kernel 2.6.38-rc5-git4.

Completely broken and useless.
Comment 4 Öyvind Saether 2011-02-27 12:28:05 UTC
kwin started OK with both my screens usable today.

kernel 2.6.38-rc6-git5.
git ati/mesa from this weekend, maby yesterday.

closing bug as fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.